<?php
/**
 * UserFavoriteDat Entity
 * $Id: UserFavoriteDat.inc,v 1.1 2020/1/15 11:01:52 Exp $
 * @author lixq
 * @package jp.compass.entity
 * @access public
 */
class UserFavoriteDat extends CompassDynamicData
{
	var $user_id;
	var $data_type;
	var $data_id;
	var $delete_flg;

	/**
	 * 构造实现。user_favorite_dat创建实例。
	 * 
	 * @access public
	 * @param mixed user_favorite_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->user_id    = $record["user_id"];
		$this->data_type  = $record["data_type"];
		$this->data_id    = $record["data_id"];
		$this->delete_flg = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("UserFavoriteDat", "user_favorite_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("user_favorite_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("UserFavoriteDat", "user_favorite_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "user_id");
		ParamUtil::copyObj2Array($v_param, $this, "data_type");
		ParamUtil::copyObj2Array($v_param, $this, "data_id");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("user_favorite_dat", $v_param);
	}
}